from aiogram import Router, types
from aiogram.filters import CommandStart

from bot.database.models import User as DbUser

router = Router()

@router.message(CommandStart())
async def handle_start(message: types.Message, db_user: DbUser):
    """Обработчик команды /start для аутентифицированных пользователей."""
    username = db_user.username or f"Пользователь {db_user.telegram_id}"
    await message.answer(
        f"Привет, {username}! ✨\n\n"
        f"Это бот 'Кто больше любит'. Каждый день вы со своей парой можете сыграть в Камень-Ножницы-Бумага, чтобы определить, кто любит больше! 😉\n\n"
        f"Чтобы сделать ход, используй кнопки ниже (они появятся, когда придет время игры).\n"
        f"Для просмотра статистики используй команду /stats.\n\n"
        f"Удачи! ❤️"
    )
